#
# spec file for package python-cmd2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cmd2
Version:        0.6.8
Release:        5.5
Summary:        Extra features for standard library's cmd module
License:        MIT
Group:          Development/Languages/Python
Url:            http://packages.python.org/cmd2/
Source:         http://pypi.python.org/packages/source/c/cmd2/cmd2-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-pyparsing >= 2.0.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Enhancements for standard library's cmd module.

Drop-in replacement adds several features for command-prompt tools:

    * Searchable command history (commands: "hi", "li", "run")
    * Load commands from file, save to file, edit commands in file
    * Multi-line commands
    * Case-insensitive commands
    * Special-character shortcut commands (beyond cmd's "@" and "!")
    * Settable environment parameters
    * Parsing commands with flags
    * > (filename), >> (filename) redirect output to file
    * < (filename) gets input from file
    * bare >, >>, < redirect to/from paste buffer
    * accepts abbreviated commands when unambiguous
    * `py` enters interactive Python console
    * test apps against sample session transcript (see example/example.py)

%prep
%setup -q -n cmd2-%{version}
chmod -x README.txt
sed -i "s/\r//g" README.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Fri Jan  9 2015 dmueller@suse.com
- update to 0.6.8:
  * In case when which is not installed, do not launch an editor
* Fri Sep 27 2013 dmueller@suse.com
- update to 0.6.7:
  * various python 3.x compat fixes
- remove cmd2-pyparsing201.patch, merged upstream
* Tue Sep 17 2013 speilicke@suse.com
- Add cmd2-pyparsing201.patch: Allow running with pyparsing>=2.0.1
* Tue Sep  3 2013 dmueller@suse.com
- update to 0.6.6.1:
  * go back to pyparsing 1.5.7
* Tue Aug 13 2013 dmueller@suse.com
- update to 0.6.6:
  * include editor search stderr fix
* Thu Jul 25 2013 dheidler@suse.de
- Backport editor stderr fix
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.6.5.1:
  * Fix requires to python-pyparsing
* Fri Jan 11 2013 p.drouand@gmail.com
- Add python3 support
* Fri Jul 27 2012 saschpe@suse.de
- Initial version
